javax.ws.rs.container

## Interface CompletionCallback

- All Known Implementing Classes:
    SecondSettingCompletionCallback, SettingCompletionCallback

      public interface CompletionCallback

  A request processing callback that receives request processing completion events.

  A completion callback is invoked when the whole request processing is over, i.e. once a response for the request has been processed and sent back to the client or in when an unmapped exception or error is being propagated to the container.

  Since:
    2.0
  Author:
    Marek Potociar

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onComplete(Throwable throwable)` A completion callback notification method that will be invoked when the request processing is finished, after a response is processed and is sent back to the client or when an unmapped throwable has been propagated to the hosting I/O container.

- - ### Method Detail

    - #### onComplete

          void onComplete(Throwable throwable)

      A completion callback notification method that will be invoked when the request processing is finished, after a response is processed and is sent back to the client or when an unmapped throwable has been propagated to the hosting I/O container.

      An unmapped throwable is propagated to the hosting I/O container in case no `exception mapper` has been found for a throwable indicating a request processing failure. In this case a non-`null` unmapped throwable instance is passed to the method. Note that the throwable instance represents the actual unmapped exception thrown during the request processing, before it has been wrapped into an I/O container-specific exception that was used to propagate the throwable to the hosting I/O container.

      Parameters:
        `throwable` - is `null`, if the request processing has completed with a response that has been sent to the client. In case the request processing resulted in an unmapped exception or error that has been propagated to the hosting I/O container, this parameter contains the unmapped exception instance.

Copyright © 2014. All Rights Reserved.